<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: JsonFileLoader&lt; Class T &gt; Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dd/d78/class_json_file_loader_3_01_class_01_t_01_4.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-static-methods">Static Private Member Functions</a> &#124;
<a href="#pri-static-attribs">Static Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">JsonFileLoader&lt; Class T &gt; Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-methods" name="pri-static-methods"></a>
Static Private Member Functions</h2></td></tr>
<tr class="memitem:a3e3ac7471073d3abbde71ce054d83bb4"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d78/class_json_file_loader_3_01_class_01_t_01_4.html#a3e3ac7471073d3abbde71ce054d83bb4">JsonLoadFile</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> filename, out T data)</td></tr>
<tr class="separator:a3e3ac7471073d3abbde71ce054d83bb4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8906732e8892415dee801df28cdeb642"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d78/class_json_file_loader_3_01_class_01_t_01_4.html#a8906732e8892415dee801df28cdeb642">JsonSaveFile</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> filename, T data)</td></tr>
<tr class="separator:a8906732e8892415dee801df28cdeb642"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a8f586dc505304e10f89be364db1523"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d78/class_json_file_loader_3_01_class_01_t_01_4.html#a6a8f586dc505304e10f89be364db1523">JsonLoadData</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> string_data, out T data)</td></tr>
<tr class="separator:a6a8f586dc505304e10f89be364db1523"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af291b8e88f49049ea4060df2bc7472e4"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d78/class_json_file_loader_3_01_class_01_t_01_4.html#af291b8e88f49049ea4060df2bc7472e4">JsonMakeData</a> (T data)</td></tr>
<tr class="separator:af291b8e88f49049ea4060df2bc7472e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-attribs" name="pri-static-attribs"></a>
Static Private Attributes</h2></td></tr>
<tr class="memitem:ab7acaf5824e32417cb67760e2c39568d"><td class="memItemLeft" align="right" valign="top">static protected ref <a class="el" href="../../d2/dc5/class_json_serializer.html">JsonSerializer</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d78/class_json_file_loader_3_01_class_01_t_01_4.html#ab7acaf5824e32417cb67760e2c39568d">m_Serializer</a> = new <a class="el" href="../../d2/dc5/class_json_serializer.html">JsonSerializer</a></td></tr>
<tr class="separator:ab7acaf5824e32417cb67760e2c39568d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d7/dbd/_json_file_loader_8c_source.html#l00001">1</a> of file <a class="el" href="../../d7/dbd/_json_file_loader_8c_source.html">JsonFileLoader.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a6a8f586dc505304e10f89be364db1523" name="a6a8f586dc505304e10f89be364db1523"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6a8f586dc505304e10f89be364db1523">&#9670;&#160;</a></span>JsonLoadData()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void JsonFileLoader&lt; <a class="el" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a> T &gt;::JsonLoadData </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>string_data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out T&#160;</td>
          <td class="paramname"><em>data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/dbd/_json_file_loader_8c_source.html#l00050">50</a> of file <a class="el" href="../../d7/dbd/_json_file_loader_8c_source.html">JsonFileLoader.c</a>.</p>

</div>
</div>
<a id="a3e3ac7471073d3abbde71ce054d83bb4" name="a3e3ac7471073d3abbde71ce054d83bb4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3e3ac7471073d3abbde71ce054d83bb4">&#9670;&#160;</a></span>JsonLoadFile()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void JsonFileLoader&lt; <a class="el" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a> T &gt;::JsonLoadFile </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>filename</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out T&#160;</td>
          <td class="paramname"><em>data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/dbd/_json_file_loader_8c_source.html#l00005">5</a> of file <a class="el" href="../../d7/dbd/_json_file_loader_8c_source.html">JsonFileLoader.c</a>.</p>

</div>
</div>
<a id="af291b8e88f49049ea4060df2bc7472e4" name="af291b8e88f49049ea4060df2bc7472e4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af291b8e88f49049ea4060df2bc7472e4">&#9670;&#160;</a></span>JsonMakeData()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> JsonFileLoader&lt; <a class="el" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a> T &gt;::JsonMakeData </td>
          <td>(</td>
          <td class="paramtype">T&#160;</td>
          <td class="paramname"><em>data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/dbd/_json_file_loader_8c_source.html#l00060">60</a> of file <a class="el" href="../../d7/dbd/_json_file_loader_8c_source.html">JsonFileLoader.c</a>.</p>

</div>
</div>
<a id="a8906732e8892415dee801df28cdeb642" name="a8906732e8892415dee801df28cdeb642"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8906732e8892415dee801df28cdeb642">&#9670;&#160;</a></span>JsonSaveFile()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void JsonFileLoader&lt; <a class="el" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a> T &gt;::JsonSaveFile </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>filename</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">T&#160;</td>
          <td class="paramname"><em>data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/dbd/_json_file_loader_8c_source.html#l00033">33</a> of file <a class="el" href="../../d7/dbd/_json_file_loader_8c_source.html">JsonFileLoader.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="ab7acaf5824e32417cb67760e2c39568d" name="ab7acaf5824e32417cb67760e2c39568d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab7acaf5824e32417cb67760e2c39568d">&#9670;&#160;</a></span>m_Serializer</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected ref <a class="el" href="../../d2/dc5/class_json_serializer.html">JsonSerializer</a> JsonFileLoader&lt; <a class="el" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a> T &gt;::m_Serializer = new <a class="el" href="../../d2/dc5/class_json_serializer.html">JsonSerializer</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/dbd/_json_file_loader_8c_source.html#l00003">3</a> of file <a class="el" href="../../d7/dbd/_json_file_loader_8c_source.html">JsonFileLoader.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/3_Game/tools/<a class="el" href="../../d7/dbd/_json_file_loader_8c_source.html">JsonFileLoader.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dd/d78/class_json_file_loader_3_01_class_01_t_01_4.html">JsonFileLoader&lt; Class T &gt;</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
